BasicSearchNavigatorUI

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help.plaf.basic
Class BasicSearchNavigatorUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.help.plaf.HelpNavigatorUI
                  |
                  +--javax.help.plaf.basic.BasicSearchNavigatorUI

All Implemented Interfaces:
  java.awt.event.ComponentListener, java.util.EventListener, HelpModelListener, java.beans.PropertyChangeListener, SearchListener, javax.swing.event.TreeSelectionListener

public class BasicSearchNavigatorUI
extends HelpNavigatorUI
implements HelpModelListener, SearchListener, java.beans.PropertyChangeListener, javax.swing.event.TreeSelectionListener, java.awt.event.ComponentListener

Constructor Summary
`BasicSearchNavigatorUI(JHelpSearchNavigator b)`

Method Summary
`void` | `componentHidden(java.awt.event.ComponentEvent e)` Invoked when the component has been made invisible.
`void` | `componentMoved(java.awt.event.ComponentEvent e)` Invoked when the component's position changes.
`void` | `componentResized(java.awt.event.ComponentEvent e)` Invoked when the component's size changes.
`void` | `componentShown(java.awt.event.ComponentEvent e)` Invoked when the component has been made visible.
`static javax.swing.plaf.ComponentUI` | `createUI(javax.swing.JComponent x)`
`java.awt.Dimension` | `getMaximumSize(javax.swing.JComponent c)`
`java.awt.Dimension` | `getMinimumSize(javax.swing.JComponent c)`
`java.awt.Dimension` | `getPreferredSize(javax.swing.JComponent c)`
`void` | `idChanged(HelpModelEvent e)` Processes an idChanged event.
`void` | `installUI(javax.swing.JComponent c)`
`void` | `itemsFound(SearchEvent e)` Tells the listener that matching SearchItems have been found.
`void` | `merge(NavigatorView view)` Merges in the navigational data from another NavigatorView.
`void` | `propertyChange(java.beans.PropertyChangeEvent event)`
`void` | `remove(NavigatorView view)` Removes the navigational data from another NavigatorView.
`void` | `searchFinished(SearchEvent e)` Tells the listener that the search has finished
`void` | `searchStarted(SearchEvent e)` Tells the listener that the search has started.
`void` | `uninstallUI(javax.swing.JComponent c)`
`void` | `valueChanged(javax.swing.event.TreeSelectionEvent e)` A value has changed.

Methods inherited from class javax.help.plaf.HelpNavigatorUI
`getAddAction, getIcon, getImageIcon, setIcon`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, paint, update`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicSearchNavigatorUI

    public BasicSearchNavigatorUI(JHelpSearchNavigator b)

Method Detail

### createUI

    public static javax.swing.plaf.ComponentUI createUI(javax.swing.JComponent x)

### installUI

    public void installUI(javax.swing.JComponent c)

  Overrides:
    `installUI` in class `javax.swing.plaf.ComponentUI`

### uninstallUI

    public void uninstallUI(javax.swing.JComponent c)

  Overrides:
    `uninstallUI` in class `javax.swing.plaf.ComponentUI`

### getPreferredSize

    public java.awt.Dimension getPreferredSize(javax.swing.JComponent c)

  Overrides:
    `getPreferredSize` in class `javax.swing.plaf.ComponentUI`

### getMinimumSize

    public java.awt.Dimension getMinimumSize(javax.swing.JComponent c)

  Overrides:
    `getMinimumSize` in class `javax.swing.plaf.ComponentUI`

### getMaximumSize

    public java.awt.Dimension getMaximumSize(javax.swing.JComponent c)

  Overrides:
    `getMaximumSize` in class `javax.swing.plaf.ComponentUI`

### merge

    public void merge(NavigatorView view)

  Merges in the navigational data from another NavigatorView.

  Overrides:
    `merge` in class `HelpNavigatorUI`

### remove

    public void remove(NavigatorView view)

  Removes the navigational data from another NavigatorView.

  Overrides:
    `remove` in class `HelpNavigatorUI`

### idChanged

    public void idChanged(HelpModelEvent e)

  Processes an idChanged event. Search is different from all other navigators in that you while search tree is synchronized the highlighting doesn't occur unless selected from the search navigator.

  Specified by:
    `idChanged` in interface `HelpModelListener`
  Parameters:
    `e` - The event

### valueChanged

    public void valueChanged(javax.swing.event.TreeSelectionEvent e)

  A value has changed. This is used as a TreeSelectionListener.

  Specified by:
    `valueChanged` in interface `javax.swing.event.TreeSelectionListener`

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent event)

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`

### componentResized

    public void componentResized(java.awt.event.ComponentEvent e)

  Invoked when the component's size changes.

  Specified by:
    `componentResized` in interface `java.awt.event.ComponentListener`

### componentMoved

    public void componentMoved(java.awt.event.ComponentEvent e)

  Invoked when the component's position changes.

  Specified by:
    `componentMoved` in interface `java.awt.event.ComponentListener`

### componentShown

    public void componentShown(java.awt.event.ComponentEvent e)

  Invoked when the component has been made visible.

  Specified by:
    `componentShown` in interface `java.awt.event.ComponentListener`

### componentHidden

    public void componentHidden(java.awt.event.ComponentEvent e)

  Invoked when the component has been made invisible.

  Specified by:
    `componentHidden` in interface `java.awt.event.ComponentListener`

### itemsFound

    public void itemsFound(SearchEvent e)

  Description copied from interface: `SearchListener`
  Tells the listener that matching SearchItems have been found.

  Specified by:
    `itemsFound` in interface `SearchListener`

### searchStarted

    public void searchStarted(SearchEvent e)

  Description copied from interface: `SearchListener`
  Tells the listener that the search has started.

  Specified by:
    `searchStarted` in interface `SearchListener`

### searchFinished

    public void searchFinished(SearchEvent e)

  Description copied from interface: `SearchListener`
  Tells the listener that the search has finished

  Specified by:
    `searchFinished` in interface `SearchListener`

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD